package com.hfkj.openapi.v1.model.request;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.DecimalMax;
import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * 请求分账接收方
 * @className: RequestSeparateModel
 * @author: HuRui
 * @date: 2023/5/26
 **/
@Data
public class RequestSeparateRecvDataModel {

    @NotBlank(message = "分账接收方商户号必填项")
    private String recvMerchantNo;


    @NotBlank(message = "分账接收方金额必填项")
    @DecimalMin(value = "0.01", message = "分账总金额最小0.01")
    @DecimalMax(value = "9999999", message = "分账总金额最大9999999")
    private String separateAmount;

}
